/* Update 1 - French NLS */

IF RxFuncQuery('SysLoadFuncs') THEN DO
    CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    CALL SysLoadFuncs
END
CALL SysCls
SAY 'Ŀ'
SAY 'dBase Info Version 0.96                                                      '
SAY 'Update 1 (1999-07-03): French Language support                               '
SAY ''
SAY ''
IF SysIni('USER','ToolsByGoran','dbfInfo096WorkDir') = 'ERROR:' THEN DO
    errmsg = 'dBase Info are not installed! Please install dBase Info (Install.exe).'
    CALL IsError errmsg
END
CALL SysFileTree DIRECTORY()||'\DBFINFO.INI','found','F'
IF found.0 = 0 THEN DO
    errmsg = 'DBFINFO.INI not found in: '||DIRECTORY()||'. Please correct error.'
    CALL IsError errmsg
END
CALL SysFileTree DIRECTORY()||'\INSTALL.INI','found','F'
IF found.0 = 0 THEN DO
    errmsg = 'INSTALL.INI not found in: '||DIRECTORY()||'. Please correct error.'
    CALL IsError errmsg
END
SAY ' '
CALL SysFileTree DIRECTORY()||'\FRENCH.INI','found','F'
IF found.0 = 0 THEN DO
    dummy = BEEP(400,250)
    SAY 'FRENCH.INI not found in: '||DIRECTORY()||'.'
    SAY 'French Language support will not be installed.'
END
IF found.0 > 0 THEN DO
    SAY 'Updating DBFINFO.INI (FRENCH Language support).'
    dummy = SysIni('DBFINFO.INI','Language','FRENCH','English.inf')
    IF dummy = 'ERROR:' THEN DO
	CALL Problem 'FRENCH'
    END
    SAY 'Updating INSTALL.INI (FRENCH Language support).'
    dummy = SysIni('INSTALL.INI','INI','LanguageFRENCH','English.inf')
    IF dummy = 'ERROR:' THEN DO
	CALL Problem1 'FRENCH'
    END
END
SAY ' '
SAY 'Finished! Press any key to exit...'
PULL answer
Exit

/* Kraj Update */

Problem:	PROCEDURE

PARSE ARG problang
SAY ''
SAY 'Problem!'
SAY problang||' Language support not added to dBase Info.'
SAY 'Open DBFINFO.INI with INI editor and add new Key in Application Language:'
SAY 'Key - '||problang||', Value - Swedish.inf'
Return

Problem1:	PROCEDURE

PARSE ARG problang
SAY ''
SAY 'Problem!'
SAY problang||' Language support not added to INSTALL.INI.'
SAY 'Open INSTALL.INI with INI editor and add new Key in Application INI:'
SAY 'Key - Language'||problang||', Value - Swedish.inf'
Return

IsError:	PROCEDURE

PARSE ARG errmsg
SAY 'Error !!!'
dummy = BEEP(400,250)
SAY errmsg
SAY 'Then run this procedure again.'
SAY ''
SAY 'Press any key to exit...'
PULL answer
Exit

/* Kraj IsError */